1#! /bin/sh
2
3# Guess values for system-dependent variables and create Makefiles.
4# Generated automatically using autoconf version 2.13
5# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
6#
7# This configure script is free software; the Free Software Foundation
8# gives unlimited permission to copy, distribute and modify it.
9
10# Defaults:
11ac_help=
12ac_default_prefix=/usr/local
13# Any additions from configure.in:
14
15# Initialize some variables set by options.
16# The variables have the same names as the options, with
17# dashes changed to underlines.
18build=NONE
19cache_file=./config.cache
20exec_prefix=NONE
21host=NONE
22no_create=
23nonopt=NONE
24no_recursion=
25prefix=NONE
26program_prefix=NONE
27program_suffix=NONE
28program_transform_name=s,x,x,
29silent=
30site=
31srcdir=
32target=NONE
33verbose=
34x_includes=NONE
35x_libraries=NONE
36bindir='${exec_prefix}/bin'
37sbindir='${exec_prefix}/sbin'
38libexecdir='${exec_prefix}/libexec'
39datadir='${prefix}/share'
40sysconfdir='${prefix}/etc'
41sharedstatedir='${prefix}/com'
42localstatedir='${prefix}/var'
43libdir='${exec_prefix}/lib'
44includedir='${prefix}/include'
45oldincludedir='/usr/include'
46infodir='${prefix}/info'
47mandir='${prefix}/man'
48
49# Initialize some other variables.
50subdirs=
51MFLAGS= MAKEFLAGS=
52SHELL=${CONFIG_SHELL-/bin/sh}
53# Maximum number of lines to put in a shell here document.
54ac_max_here_lines=12
55
56ac_prev=
57for ac_option
58do
59
60  # If the previous option needs an argument, assign it.
61  if test -n "$ac_prev"; then
62    eval "$ac_prev=\$ac_option"
63    ac_prev=
64    continue
65  fi
66
67  case "$ac_option" in
68  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
69  *) ac_optarg= ;;
70  esac
71
72  # Accept the important Cygnus configure options, so we can diagnose typos.
73
74  case "$ac_option" in
75
76  -bindir | --bindir | --bindi | --bind | --bin | --bi)
77    ac_prev=bindir ;;
78  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
79    bindir="$ac_optarg" ;;
80
81  -build | --build | --buil | --bui | --bu)
82    ac_prev=build ;;
83  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
84    build="$ac_optarg" ;;
85
86  -cache-file | --cache-file | --cache-fil | --cache-fi \
87  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
88    ac_prev=cache_file ;;
89  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
90  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
91    cache_file="$ac_optarg" ;;
92
93  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
94    ac_prev=datadir ;;
95  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
96  | --da=*)
97    datadir="$ac_optarg" ;;
98
99  -disable-* | --disable-*)
100    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
101    # Reject names that are not valid shell variable names.
102    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
103      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
104    fi
105    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
106    eval "enable_${ac_feature}=no" ;;
107
108  -enable-* | --enable-*)
109    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
110    # Reject names that are not valid shell variable names.
111    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
112      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
113    fi
114    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
115    case "$ac_option" in
116      *=*) ;;
117      *) ac_optarg=yes ;;
118    esac
119    eval "enable_${ac_feature}='$ac_optarg'" ;;
120
121  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
122  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
123  | --exec | --exe | --ex)
124    ac_prev=exec_prefix ;;
125  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
126  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
127  | --exec=* | --exe=* | --ex=*)
128    exec_prefix="$ac_optarg" ;;
129
130  -gas | --gas | --ga | --g)
131    # Obsolete; use --with-gas.
132    with_gas=yes ;;
133
134  -help | --help | --hel | --he)
135    # Omit some internal or obsolete options to make the list less imposing.
136    # This message is too long to be a string in the A/UX 3.1 sh.
137    cat << EOF
138Usage: configure [options] [host]
139Options: [defaults in brackets after descriptions]
140Configuration:
141  --cache-file=FILE       cache test results in FILE
142  --help                  print this message
143  --no-create             do not create output files
144  --quiet, --silent       do not print \`checking...' messages
145  --version               print the version of autoconf that created configure
146Directory and file names:
147  --prefix=PREFIX         install architecture-independent files in PREFIX
148                          [$ac_default_prefix]
149  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
150                          [same as prefix]
151  --bindir=DIR            user executables in DIR [EPREFIX/bin]
152  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
153  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
154  --datadir=DIR           read-only architecture-independent data in DIR
155                          [PREFIX/share]
156  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
157  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
158                          [PREFIX/com]
159  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
160  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
161  --includedir=DIR        C header files in DIR [PREFIX/include]
162  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
163  --infodir=DIR           info documentation in DIR [PREFIX/info]
164  --mandir=DIR            man documentation in DIR [PREFIX/man]
165  --srcdir=DIR            find the sources in DIR [configure dir or ..]
166  --program-prefix=PREFIX prepend PREFIX to installed program names
167  --program-suffix=SUFFIX append SUFFIX to installed program names
168  --program-transform-name=PROGRAM
169                          run sed PROGRAM on installed program names
170EOF
171    cat << EOF
172Host type:
173  --build=BUILD           configure for building on BUILD [BUILD=HOST]
174  --host=HOST             configure for HOST [guessed]
175  --target=TARGET         configure for TARGET [TARGET=HOST]
176Features and packages:
177  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
178  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
179  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
180  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
181  --x-includes=DIR        X include files are in DIR
182  --x-libraries=DIR       X library files are in DIR
183EOF
184    if test -n "$ac_help"; then
185      echo "--enable and --with options recognized:$ac_help"
186    fi
187    exit 0 ;;
188
189  -host | --host | --hos | --ho)
190    ac_prev=host ;;
191  -host=* | --host=* | --hos=* | --ho=*)
192    host="$ac_optarg" ;;
193
194  -includedir | --includedir | --includedi | --included | --include \
195  | --includ | --inclu | --incl | --inc)
196    ac_prev=includedir ;;
197  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
198  | --includ=* | --inclu=* | --incl=* | --inc=*)
199    includedir="$ac_optarg" ;;
200
201  -infodir | --infodir | --infodi | --infod | --info | --inf)
202    ac_prev=infodir ;;
203  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
204    infodir="$ac_optarg" ;;
205
206  -libdir | --libdir | --libdi | --libd)
207    ac_prev=libdir ;;
208  -libdir=* | --libdir=* | --libdi=* | --libd=*)
209    libdir="$ac_optarg" ;;
210
211  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
212  | --libexe | --libex | --libe)
213    ac_prev=libexecdir ;;
214  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
215  | --libexe=* | --libex=* | --libe=*)
216    libexecdir="$ac_optarg" ;;
217
218  -localstatedir | --localstatedir | --localstatedi | --localstated \
219  | --localstate | --localstat | --localsta | --localst \
220  | --locals | --local | --loca | --loc | --lo)
221    ac_prev=localstatedir ;;
222  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
223  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
224  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
225    localstatedir="$ac_optarg" ;;
226
227  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
228    ac_prev=mandir ;;
229  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
230    mandir="$ac_optarg" ;;
231
232  -nfp | --nfp | --nf)
233    # Obsolete; use --without-fp.
234    with_fp=no ;;
235
236  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
237  | --no-cr | --no-c)
238    no_create=yes ;;
239
240  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
241  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
242    no_recursion=yes ;;
243
244  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
245  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
246  | --oldin | --oldi | --old | --ol | --o)
247    ac_prev=oldincludedir ;;
248  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
249  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
250  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
251    oldincludedir="$ac_optarg" ;;
252
253  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
254    ac_prev=prefix ;;
255  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
256    prefix="$ac_optarg" ;;
257
258  -program-prefix | --program-prefix | --program-prefi | --program-pref \
259  | --program-pre | --program-pr | --program-p)
260    ac_prev=program_prefix ;;
261  -program-prefix=* | --program-prefix=* | --program-prefi=* \
262  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
263    program_prefix="$ac_optarg" ;;
264
265  -program-suffix | --program-suffix | --program-suffi | --program-suff \
266  | --program-suf | --program-su | --program-s)
267    ac_prev=program_suffix ;;
268  -program-suffix=* | --program-suffix=* | --program-suffi=* \
269  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
270    program_suffix="$ac_optarg" ;;
271
272  -program-transform-name | --program-transform-name \
273  | --program-transform-nam | --program-transform-na \
274  | --program-transform-n | --program-transform- \
275  | --program-transform | --program-transfor \
276  | --program-transfo | --program-transf \
277  | --program-trans | --program-tran \
278  | --progr-tra | --program-tr | --program-t)
279    ac_prev=program_transform_name ;;
280  -program-transform-name=* | --program-transform-name=* \
281  | --program-transform-nam=* | --program-transform-na=* \
282  | --program-transform-n=* | --program-transform-=* \
283  | --program-transform=* | --program-transfor=* \
284  | --program-transfo=* | --program-transf=* \
285  | --program-trans=* | --program-tran=* \
286  | --progr-tra=* | --program-tr=* | --program-t=*)
287    program_transform_name="$ac_optarg" ;;
288
289  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
290  | -silent | --silent | --silen | --sile | --sil)
291    silent=yes ;;
292
293  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
294    ac_prev=sbindir ;;
295  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
296  | --sbi=* | --sb=*)
297    sbindir="$ac_optarg" ;;
298
299  -sharedstatedir | --sharedstatedir | --sharedstatedi \
300  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
301  | --sharedst | --shareds | --shared | --share | --shar \
302  | --sha | --sh)
303    ac_prev=sharedstatedir ;;
304  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
305  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
306  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
307  | --sha=* | --sh=*)
308    sharedstatedir="$ac_optarg" ;;
309
310  -site | --site | --sit)
311    ac_prev=site ;;
312  -site=* | --site=* | --sit=*)
313    site="$ac_optarg" ;;
314
315  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
316    ac_prev=srcdir ;;
317  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
318    srcdir="$ac_optarg" ;;
319
320  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
321  | --syscon | --sysco | --sysc | --sys | --sy)
322    ac_prev=sysconfdir ;;
323  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
324  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
325    sysconfdir="$ac_optarg" ;;
326
327  -target | --target | --targe | --targ | --tar | --ta | --t)
328    ac_prev=target ;;
329  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
330    target="$ac_optarg" ;;
331
332  -v | -verbose | --verbose | --verbos | --verbo | --verb)
333    verbose=yes ;;
334
335  -version | --version | --versio | --versi | --vers)
336    echo "configure generated by autoconf version 2.13"
337    exit 0 ;;
338
339  -with-* | --with-*)
340    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
341    # Reject names that are not valid shell variable names.
342    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
343      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
344    fi
345    ac_package=`echo $ac_package| sed 's/-/_/g'`
346    case "$ac_option" in
347      *=*) ;;
348      *) ac_optarg=yes ;;
349    esac
350    eval "with_${ac_package}='$ac_optarg'" ;;
351
352  -without-* | --without-*)
353    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
354    # Reject names that are not valid shell variable names.
355    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
356      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
357    fi
358    ac_package=`echo $ac_package| sed 's/-/_/g'`
359    eval "with_${ac_package}=no" ;;
360
361  --x)
362    # Obsolete; use --with-x.
363    with_x=yes ;;
364
365  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
366  | --x-incl | --x-inc | --x-in | --x-i)
367    ac_prev=x_includes ;;
368  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
369  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
370    x_includes="$ac_optarg" ;;
371
372  -x-libraries | --x-libraries | --x-librarie | --x-librari \
373  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
374    ac_prev=x_libraries ;;
375  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
376  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
377    x_libraries="$ac_optarg" ;;
378
379  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
380    ;;
381
382  *)
383    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
384      echo "configure: warning: $ac_option: invalid host type" 1>&2
385    fi
386    if test "x$nonopt" != xNONE; then
387      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
388    fi
389    nonopt="$ac_option"
390    ;;
391
392  esac
393done
394
395if test -n "$ac_prev"; then
396  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
397fi
398
399trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
400
401# File descriptor usage:
402# 0 standard input
403# 1 file creation
404# 2 errors and warnings
405# 3 some systems may open it to /dev/tty
406# 4 used on the Kubota Titan
407# 6 checking for... messages and results
408# 5 compiler messages saved in config.log
409if test "$silent" = yes; then
410  exec 6>/dev/null
411else
412  exec 6>&1
413fi
414exec 5>./config.log
415
416echo "\
417This file contains any messages produced by compilers while
418running configure, to aid debugging if configure makes a mistake.
419" 1>&5
420
421# Strip out --no-create and --no-recursion so they do not pile up.
422# Also quote any args containing shell metacharacters.
423ac_configure_args=
424for ac_arg
425do
426  case "$ac_arg" in
427  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
428  | --no-cr | --no-c) ;;
429  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
430  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
431  *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
432  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
433  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
434  esac
435done
436
437# NLS nuisances.
438# Only set these to C if already set.  These must not be set unconditionally
439# because not all systems understand e.g. LANG=C (notably SCO).
440# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
441# Non-C LC_CTYPE values break the ctype check.
442if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
443if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
444if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
445if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi
446
447# confdefs.h avoids OS command line length limits that DEFS can exceed.
448rm -rf conftest* confdefs.h
449# AIX cpp loses on an empty file, so make sure it contains at least a newline.
450echo > confdefs.h
451
452# A filename unique to this package, relative to the directory that
453# configure is in, which we can look for to find out if srcdir is correct.
454ac_unique_file=GUI/OscillatorGUI.h
455
456# Find the source files, if location was not specified.
457if test -z "$srcdir"; then
458  ac_srcdir_defaulted=yes
459  # Try the directory containing this script, then its parent.
460  ac_prog=$0
461  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
462  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
463  srcdir=$ac_confdir
464  if test ! -r $srcdir/$ac_unique_file; then
465    srcdir=..
466  fi
467else
468  ac_srcdir_defaulted=no
469fi
470if test ! -r $srcdir/$ac_unique_file; then
471  if test "$ac_srcdir_defaulted" = yes; then
472    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
473  else
474    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
475  fi
476fi
477srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
478
479# Prefer explicitly selected file to automatically selected ones.
480if test -z "$CONFIG_SITE"; then
481  if test "x$prefix" != xNONE; then
482    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
483  else
484    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
485  fi
486fi
487for ac_site_file in $CONFIG_SITE; do
488  if test -r "$ac_site_file"; then
489    echo "loading site script $ac_site_file"
490    . "$ac_site_file"
491  fi
492done
493
494if test -r "$cache_file"; then
495  echo "loading cache $cache_file"
496  . $cache_file
497else
498  echo "creating cache $cache_file"
499  > $cache_file
500fi
501
502ac_ext=c
503# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
504ac_cpp='$CPP $CPPFLAGS'
505ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
506ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
507cross_compiling=$ac_cv_prog_cc_cross
508
509ac_exeext=
510ac_objext=o
511if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
512  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
513  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
514    ac_n= ac_c='
515' ac_t='	'
516  else
517    ac_n=-n ac_c= ac_t=
518  fi
519else
520  ac_n= ac_c='\c' ac_t=
521fi
522
523
524
525# Extract the first word of "gcc", so it can be a program name with args.
526set dummy gcc; ac_word=$2
527echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
528echo "configure:529: checking for $ac_word" >&5
529if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
530  echo $ac_n "(cached) $ac_c" 1>&6
531else
532  if test -n "$CC"; then
533  ac_cv_prog_CC="$CC" # Let the user override the test.
534else
535  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
536  ac_dummy="$PATH"
537  for ac_dir in $ac_dummy; do
538    test -z "$ac_dir" && ac_dir=.
539    if test -f $ac_dir/$ac_word; then
540      ac_cv_prog_CC="gcc"
541      break
542    fi
543  done
544  IFS="$ac_save_ifs"
545fi
546fi
547CC="$ac_cv_prog_CC"
548if test -n "$CC"; then
549  echo "$ac_t""$CC" 1>&6
550else
551  echo "$ac_t""no" 1>&6
552fi
553
554if test -z "$CC"; then
555  # Extract the first word of "cc", so it can be a program name with args.
556set dummy cc; ac_word=$2
557echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
558echo "configure:559: checking for $ac_word" >&5
559if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
560  echo $ac_n "(cached) $ac_c" 1>&6
561else
562  if test -n "$CC"; then
563  ac_cv_prog_CC="$CC" # Let the user override the test.
564else
565  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
566  ac_prog_rejected=no
567  ac_dummy="$PATH"
568  for ac_dir in $ac_dummy; do
569    test -z "$ac_dir" && ac_dir=.
570    if test -f $ac_dir/$ac_word; then
571      if test "$ac_dir/$ac_word" = "/usr/ucb/cc"; then
572        ac_prog_rejected=yes
573	continue
574      fi
575      ac_cv_prog_CC="cc"
576      break
577    fi
578  done
579  IFS="$ac_save_ifs"
580if test $ac_prog_rejected = yes; then
581  # We found a bogon in the path, so make sure we never use it.
582  set dummy $ac_cv_prog_CC
583  shift
584  if test $# -gt 0; then
585    # We chose a different compiler from the bogus one.
586    # However, it has the same basename, so the bogon will be chosen
587    # first if we set CC to just the basename; use the full file name.
588    shift
589    set dummy "$ac_dir/$ac_word" "$@"
590    shift
591    ac_cv_prog_CC="$@"
592  fi
593fi
594fi
595fi
596CC="$ac_cv_prog_CC"
597if test -n "$CC"; then
598  echo "$ac_t""$CC" 1>&6
599else
600  echo "$ac_t""no" 1>&6
601fi
602
603  if test -z "$CC"; then
604    case "`uname -s`" in
605    *win32* | *WIN32*)
606      # Extract the first word of "cl", so it can be a program name with args.
607set dummy cl; ac_word=$2
608echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
609echo "configure:610: checking for $ac_word" >&5
610if eval "test \"`echo '$''{'ac_cv_prog_CC'+set}'`\" = set"; then
611  echo $ac_n "(cached) $ac_c" 1>&6
612else
613  if test -n "$CC"; then
614  ac_cv_prog_CC="$CC" # Let the user override the test.
615else
616  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS=":"
617  ac_dummy="$PATH"
618  for ac_dir in $ac_dummy; do
619    test -z "$ac_dir" && ac_dir=.
620    if test -f $ac_dir/$ac_word; then
621      ac_cv_prog_CC="cl"
622      break
623    fi
624  done
625  IFS="$ac_save_ifs"
626fi
627fi
628CC="$ac_cv_prog_CC"
629if test -n "$CC"; then
630  echo "$ac_t""$CC" 1>&6
631else
632  echo "$ac_t""no" 1>&6
633fi
634 ;;
635    esac
636  fi
637  test -z "$CC" && { echo "configure: error: no acceptable cc found in \$PATH" 1>&2; exit 1; }
638fi
639
640echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works""... $ac_c" 1>&6
641echo "configure:642: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) works" >&5
642
643ac_ext=c
644# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
645ac_cpp='$CPP $CPPFLAGS'
646ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
647ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
648cross_compiling=$ac_cv_prog_cc_cross
649
650cat > conftest.$ac_ext << EOF
651
652#line 653 "configure"
653#include "confdefs.h"
654
655main(){return(0);}
656EOF
657if { (eval echo configure:658: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
658  ac_cv_prog_cc_works=yes
659  # If we can't run a trivial program, we are probably using a cross compiler.
660  if (./conftest; exit) 2>/dev/null; then
661    ac_cv_prog_cc_cross=no
662  else
663    ac_cv_prog_cc_cross=yes
664  fi
665else
666  echo "configure: failed program was:" >&5
667  cat conftest.$ac_ext >&5
668  ac_cv_prog_cc_works=no
669fi
670rm -fr conftest*
671ac_ext=c
672# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
673ac_cpp='$CPP $CPPFLAGS'
674ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
675ac_link='${CC-cc} -o conftest${ac_exeext} $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
676cross_compiling=$ac_cv_prog_cc_cross
677
678echo "$ac_t""$ac_cv_prog_cc_works" 1>&6
679if test $ac_cv_prog_cc_works = no; then
680  { echo "configure: error: installation or configuration problem: C compiler cannot create executables." 1>&2; exit 1; }
681fi
682echo $ac_n "checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler""... $ac_c" 1>&6
683echo "configure:684: checking whether the C compiler ($CC $CFLAGS $LDFLAGS) is a cross-compiler" >&5
684echo "$ac_t""$ac_cv_prog_cc_cross" 1>&6
685cross_compiling=$ac_cv_prog_cc_cross
686
687echo $ac_n "checking whether we are using GNU C""... $ac_c" 1>&6
688echo "configure:689: checking whether we are using GNU C" >&5
689if eval "test \"`echo '$''{'ac_cv_prog_gcc'+set}'`\" = set"; then
690  echo $ac_n "(cached) $ac_c" 1>&6
691else
692  cat > conftest.c <<EOF
693#ifdef __GNUC__
694  yes;
695#endif
696EOF
697if { ac_try='${CC-cc} -E conftest.c'; { (eval echo configure:698: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }; } | egrep yes >/dev/null 2>&1; then
698  ac_cv_prog_gcc=yes
699else
700  ac_cv_prog_gcc=no
701fi
702fi
703
704echo "$ac_t""$ac_cv_prog_gcc" 1>&6
705
706if test $ac_cv_prog_gcc = yes; then
707  GCC=yes
708else
709  GCC=
710fi
711
712ac_test_CFLAGS="${CFLAGS+set}"
713ac_save_CFLAGS="$CFLAGS"
714CFLAGS=
715echo $ac_n "checking whether ${CC-cc} accepts -g""... $ac_c" 1>&6
716echo "configure:717: checking whether ${CC-cc} accepts -g" >&5
717if eval "test \"`echo '$''{'ac_cv_prog_cc_g'+set}'`\" = set"; then
718  echo $ac_n "(cached) $ac_c" 1>&6
719else
720  echo 'void f(){}' > conftest.c
721if test -z "`${CC-cc} -g -c conftest.c 2>&1`"; then
722  ac_cv_prog_cc_g=yes
723else
724  ac_cv_prog_cc_g=no
725fi
726rm -f conftest*
727
728fi
729
730echo "$ac_t""$ac_cv_prog_cc_g" 1>&6
731if test "$ac_test_CFLAGS" = set; then
732  CFLAGS="$ac_save_CFLAGS"
733elif test $ac_cv_prog_cc_g = yes; then
734  if test "$GCC" = yes; then
735    CFLAGS="-g -O2"
736  else
737    CFLAGS="-g"
738  fi
739else
740  if test "$GCC" = yes; then
741    CFLAGS="-O2"
742  else
743    CFLAGS=
744  fi
745fi
746
747echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
748echo "configure:749: checking how to run the C preprocessor" >&5
749# On Suns, sometimes $CPP names a directory.
750if test -n "$CPP" && test -d "$CPP"; then
751  CPP=
752fi
753if test -z "$CPP"; then
754if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
755  echo $ac_n "(cached) $ac_c" 1>&6
756else
757    # This must be in double quotes, not single quotes, because CPP may get
758  # substituted into the Makefile and "${CC-cc}" will confuse make.
759  CPP="${CC-cc} -E"
760  # On the NeXT, cc -E runs the code through the compiler's parser,
761  # not just through cpp.
762  cat > conftest.$ac_ext <<EOF
763#line 764 "configure"
764#include "confdefs.h"
765#include <assert.h>
766Syntax Error
767EOF
768ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
769{ (eval echo configure:770: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
770ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
771if test -z "$ac_err"; then
772  :
773else
774  echo "$ac_err" >&5
775  echo "configure: failed program was:" >&5
776  cat conftest.$ac_ext >&5
777  rm -rf conftest*
778  CPP="${CC-cc} -E -traditional-cpp"
779  cat > conftest.$ac_ext <<EOF
780#line 781 "configure"
781#include "confdefs.h"
782#include <assert.h>
783Syntax Error
784EOF
785ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
786{ (eval echo configure:787: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
787ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
788if test -z "$ac_err"; then
789  :
790else
791  echo "$ac_err" >&5
792  echo "configure: failed program was:" >&5
793  cat conftest.$ac_ext >&5
794  rm -rf conftest*
795  CPP="${CC-cc} -nologo -E"
796  cat > conftest.$ac_ext <<EOF
797#line 798 "configure"
798#include "confdefs.h"
799#include <assert.h>
800Syntax Error
801EOF
802ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
803{ (eval echo configure:804: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
804ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
805if test -z "$ac_err"; then
806  :
807else
808  echo "$ac_err" >&5
809  echo "configure: failed program was:" >&5
810  cat conftest.$ac_ext >&5
811  rm -rf conftest*
812  CPP=/lib/cpp
813fi
814rm -f conftest*
815fi
816rm -f conftest*
817fi
818rm -f conftest*
819  ac_cv_prog_CPP="$CPP"
820fi
821  CPP="$ac_cv_prog_CPP"
822else
823  ac_cv_prog_CPP="$CPP"
824fi
825echo "$ac_t""$CPP" 1>&6
826
827
828echo $ac_n "checking for Fl_Group in -lfltk""... $ac_c" 1>&6
829echo "configure:830: checking for Fl_Group in -lfltk" >&5
830ac_lib_var=`echo fltk'_'Fl_Group | sed 'y%./+-%__p_%'`
831if eval "test \"`echo '$''{'ac_cv_lib_$ac_lib_var'+set}'`\" = set"; then
832  echo $ac_n "(cached) $ac_c" 1>&6
833else
834  ac_save_LIBS="$LIBS"
835LIBS="-lfltk  $LIBS"
836cat > conftest.$ac_ext <<EOF
837#line 838 "configure"
838#include "confdefs.h"
839/* Override any gcc2 internal prototype to avoid an error.  */
840/* We use char because int might match the return type of a gcc2
841    builtin and then its argument prototype would still apply.  */
842char Fl_Group();
843
844int main() {
845Fl_Group()
846; return 0; }
847EOF
848if { (eval echo configure:849: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
849  rm -rf conftest*
850  eval "ac_cv_lib_$ac_lib_var=yes"
851else
852  echo "configure: failed program was:" >&5
853  cat conftest.$ac_ext >&5
854  rm -rf conftest*
855  eval "ac_cv_lib_$ac_lib_var=no"
856fi
857rm -f conftest*
858LIBS="$ac_save_LIBS"
859
860fi
861if eval "test \"`echo '$ac_cv_lib_'$ac_lib_var`\" = yes"; then
862  echo "$ac_t""yes" 1>&6
863    ac_tr_lib=HAVE_LIB`echo fltk | sed -e 's/[^a-zA-Z0-9_]/_/g' \
864    -e 'y/abcdefghijklmnopqrstuvwxyz/ABCDEFGHIJKLMNOPQRSTUVWXYZ/'`
865  cat >> confdefs.h <<EOF
866#define $ac_tr_lib 1
867EOF
868
869  LIBS="-lfltk $LIBS"
870
871else
872  echo "$ac_t""no" 1>&6
873fi
874
875
876echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
877echo "configure:878: checking for ANSI C header files" >&5
878if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
879  echo $ac_n "(cached) $ac_c" 1>&6
880else
881  cat > conftest.$ac_ext <<EOF
882#line 883 "configure"
883#include "confdefs.h"
884#include <stdlib.h>
885#include <stdarg.h>
886#include <string.h>
887#include <float.h>
888EOF
889ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
890{ (eval echo configure:891: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
891ac_err=`grep -v '^ *+' conftest.out | grep -v "^conftest.${ac_ext}\$"`
892if test -z "$ac_err"; then
893  rm -rf conftest*
894  ac_cv_header_stdc=yes
895else
896  echo "$ac_err" >&5
897  echo "configure: failed program was:" >&5
898  cat conftest.$ac_ext >&5
899  rm -rf conftest*
900  ac_cv_header_stdc=no
901fi
902rm -f conftest*
903
904if test $ac_cv_header_stdc = yes; then
905  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
906cat > conftest.$ac_ext <<EOF
907#line 908 "configure"
908#include "confdefs.h"
909#include <string.h>
910EOF
911if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
912  egrep "memchr" >/dev/null 2>&1; then
913  :
914else
915  rm -rf conftest*
916  ac_cv_header_stdc=no
917fi
918rm -f conftest*
919
920fi
921
922if test $ac_cv_header_stdc = yes; then
923  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
924cat > conftest.$ac_ext <<EOF
925#line 926 "configure"
926#include "confdefs.h"
927#include <stdlib.h>
928EOF
929if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
930  egrep "free" >/dev/null 2>&1; then
931  :
932else
933  rm -rf conftest*
934  ac_cv_header_stdc=no
935fi
936rm -f conftest*
937
938fi
939
940if test $ac_cv_header_stdc = yes; then
941  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
942if test "$cross_compiling" = yes; then
943  :
944else
945  cat > conftest.$ac_ext <<EOF
946#line 947 "configure"
947#include "confdefs.h"
948#include <ctype.h>
949#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
950#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
951#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
952int main () { int i; for (i = 0; i < 256; i++)
953if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
954exit (0); }
955
956EOF
957if { (eval echo configure:958: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext} && (./conftest; exit) 2>/dev/null
958then
959  :
960else
961  echo "configure: failed program was:" >&5
962  cat conftest.$ac_ext >&5
963  rm -fr conftest*
964  ac_cv_header_stdc=no
965fi
966rm -fr conftest*
967fi
968
969fi
970fi
971
972echo "$ac_t""$ac_cv_header_stdc" 1>&6
973if test $ac_cv_header_stdc = yes; then
974  cat >> confdefs.h <<\EOF
975#define STDC_HEADERS 1
976EOF
977
978fi
979
980
981echo $ac_n "checking for working const""... $ac_c" 1>&6
982echo "configure:983: checking for working const" >&5
983if eval "test \"`echo '$''{'ac_cv_c_const'+set}'`\" = set"; then
984  echo $ac_n "(cached) $ac_c" 1>&6
985else
986  cat > conftest.$ac_ext <<EOF
987#line 988 "configure"
988#include "confdefs.h"
989
990int main() {
991
992/* Ultrix mips cc rejects this.  */
993typedef int charset[2]; const charset x;
994/* SunOS 4.1.1 cc rejects this.  */
995char const *const *ccp;
996char **p;
997/* NEC SVR4.0.2 mips cc rejects this.  */
998struct point {int x, y;};
999static struct point const zero = {0,0};
1000/* AIX XL C 1.02.0.0 rejects this.
1001   It does not let you subtract one const X* pointer from another in an arm
1002   of an if-expression whose if-part is not a constant expression */
1003const char *g = "string";
1004ccp = &g + (g ? g-g : 0);
1005/* HPUX 7.0 cc rejects these. */
1006++ccp;
1007p = (char**) ccp;
1008ccp = (char const *const *) p;
1009{ /* SCO 3.2v4 cc rejects this.  */
1010  char *t;
1011  char const *s = 0 ? (char *) 0 : (char const *) 0;
1012
1013  *t++ = 0;
1014}
1015{ /* Someone thinks the Sun supposedly-ANSI compiler will reject this.  */
1016  int x[] = {25, 17};
1017  const int *foo = &x[0];
1018  ++foo;
1019}
1020{ /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */
1021  typedef const int *iptr;
1022  iptr p = 0;
1023  ++p;
1024}
1025{ /* AIX XL C 1.02.0.0 rejects this saying
1026     "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */
1027  struct s { int j; const int *ap[3]; };
1028  struct s *b; b->j = 5;
1029}
1030{ /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */
1031  const int foo = 10;
1032}
1033
1034; return 0; }
1035EOF
1036if { (eval echo configure:1037: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1037  rm -rf conftest*
1038  ac_cv_c_const=yes
1039else
1040  echo "configure: failed program was:" >&5
1041  cat conftest.$ac_ext >&5
1042  rm -rf conftest*
1043  ac_cv_c_const=no
1044fi
1045rm -f conftest*
1046fi
1047
1048echo "$ac_t""$ac_cv_c_const" 1>&6
1049if test $ac_cv_c_const = no; then
1050  cat >> confdefs.h <<\EOF
1051#define const
1052EOF
1053
1054fi
1055
1056echo $ac_n "checking for inline""... $ac_c" 1>&6
1057echo "configure:1058: checking for inline" >&5
1058if eval "test \"`echo '$''{'ac_cv_c_inline'+set}'`\" = set"; then
1059  echo $ac_n "(cached) $ac_c" 1>&6
1060else
1061  ac_cv_c_inline=no
1062for ac_kw in inline __inline__ __inline; do
1063  cat > conftest.$ac_ext <<EOF
1064#line 1065 "configure"
1065#include "confdefs.h"
1066
1067int main() {
1068} $ac_kw foo() {
1069; return 0; }
1070EOF
1071if { (eval echo configure:1072: \"$ac_compile\") 1>&5; (eval $ac_compile) 2>&5; }; then
1072  rm -rf conftest*
1073  ac_cv_c_inline=$ac_kw; break
1074else
1075  echo "configure: failed program was:" >&5
1076  cat conftest.$ac_ext >&5
1077fi
1078rm -f conftest*
1079done
1080
1081fi
1082
1083echo "$ac_t""$ac_cv_c_inline" 1>&6
1084case "$ac_cv_c_inline" in
1085  inline | yes) ;;
1086  no) cat >> confdefs.h <<\EOF
1087#define inline
1088EOF
1089 ;;
1090  *)  cat >> confdefs.h <<EOF
1091#define inline $ac_cv_c_inline
1092EOF
1093 ;;
1094esac
1095
1096
1097
1098trap '' 1 2 15
1099cat > confcache <<\EOF
1100# This file is a shell script that caches the results of configure
1101# tests run on this system so they can be shared between configure
1102# scripts and configure runs.  It is not useful on other systems.
1103# If it contains results you don't want to keep, you may remove or edit it.
1104#
1105# By default, configure uses ./config.cache as the cache file,
1106# creating it if it does not exist already.  You can give configure
1107# the --cache-file=FILE option to use a different cache file; that is
1108# what configure does when it calls configure scripts in
1109# subdirectories, so they share the cache.
1110# Giving --cache-file=/dev/null disables caching, for debugging configure.
1111# config.status only pays attention to the cache file if you give it the
1112# --recheck option to rerun configure.
1113#
1114EOF
1115# The following way of writing the cache mishandles newlines in values,
1116# but we know of no workaround that is simple, portable, and efficient.
1117# So, don't put newlines in cache variables' values.
1118# Ultrix sh set writes to stderr and can't be redirected directly,
1119# and sets the high bit in the cache file unless we assign to the vars.
1120(set) 2>&1 |
1121  case `(ac_space=' '; set | grep ac_space) 2>&1` in
1122  *ac_space=\ *)
1123    # `set' does not quote correctly, so add quotes (double-quote substitution
1124    # turns \\\\ into \\, and sed turns \\ into \).
1125    sed -n \
1126      -e "s/'/'\\\\''/g" \
1127      -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
1128    ;;
1129  *)
1130    # `set' quotes correctly as required by POSIX, so do not add quotes.
1131    sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
1132    ;;
1133  esac >> confcache
1134if cmp -s $cache_file confcache; then
1135  :
1136else
1137  if test -w $cache_file; then
1138    echo "updating cache $cache_file"
1139    cat confcache > $cache_file
1140  else
1141    echo "not updating unwritable cache $cache_file"
1142  fi
1143fi
1144rm -f confcache
1145
1146trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
1147
1148test "x$prefix" = xNONE && prefix=$ac_default_prefix
1149# Let make expand exec_prefix.
1150test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
1151
1152# Any assignment to VPATH causes Sun make to only execute
1153# the first set of double-colon rules, so remove it if not needed.
1154# If there is a colon in the path, we need to keep it.
1155if test "x$srcdir" = x.; then
1156  ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
1157fi
1158
1159trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
1160
1161# Transform confdefs.h into DEFS.
1162# Protect against shell expansion while executing Makefile rules.
1163# Protect against Makefile macro expansion.
1164cat > conftest.defs <<\EOF
1165s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
1166s%[ 	`~#$^&*(){}\\|;'"<>?]%\\&%g
1167s%\[%\\&%g
1168s%\]%\\&%g
1169s%\$%$$%g
1170EOF
1171DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
1172rm -f conftest.defs
1173
1174
1175# Without the "./", some shells look in PATH for config.status.
1176: ${CONFIG_STATUS=./config.status}
1177
1178echo creating $CONFIG_STATUS
1179rm -f $CONFIG_STATUS
1180cat > $CONFIG_STATUS <<EOF
1181#! /bin/sh
1182# Generated automatically by configure.
1183# Run this file to recreate the current configuration.
1184# This directory was configured as follows,
1185# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
1186#
1187# $0 $ac_configure_args
1188#
1189# Compiler output produced by configure, useful for debugging
1190# configure, is in ./config.log if it exists.
1191
1192ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
1193for ac_option
1194do
1195  case "\$ac_option" in
1196  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
1197    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
1198    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
1199  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
1200    echo "$CONFIG_STATUS generated by autoconf version 2.13"
1201    exit 0 ;;
1202  -help | --help | --hel | --he | --h)
1203    echo "\$ac_cs_usage"; exit 0 ;;
1204  *) echo "\$ac_cs_usage"; exit 1 ;;
1205  esac
1206done
1207
1208ac_given_srcdir=$srcdir
1209
1210trap 'rm -fr `echo "Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
1211EOF
1212cat >> $CONFIG_STATUS <<EOF
1213
1214# Protect against being on the right side of a sed subst in config.status.
1215sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
1216 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
1217$ac_vpsub
1218$extrasub
1219s%@SHELL@%$SHELL%g
1220s%@CFLAGS@%$CFLAGS%g
1221s%@CPPFLAGS@%$CPPFLAGS%g
1222s%@CXXFLAGS@%$CXXFLAGS%g
1223s%@FFLAGS@%$FFLAGS%g
1224s%@DEFS@%$DEFS%g
1225s%@LDFLAGS@%$LDFLAGS%g
1226s%@LIBS@%$LIBS%g
1227s%@exec_prefix@%$exec_prefix%g
1228s%@prefix@%$prefix%g
1229s%@program_transform_name@%$program_transform_name%g
1230s%@bindir@%$bindir%g
1231s%@sbindir@%$sbindir%g
1232s%@libexecdir@%$libexecdir%g
1233s%@datadir@%$datadir%g
1234s%@sysconfdir@%$sysconfdir%g
1235s%@sharedstatedir@%$sharedstatedir%g
1236s%@localstatedir@%$localstatedir%g
1237s%@libdir@%$libdir%g
1238s%@includedir@%$includedir%g
1239s%@oldincludedir@%$oldincludedir%g
1240s%@infodir@%$infodir%g
1241s%@mandir@%$mandir%g
1242s%@CC@%$CC%g
1243s%@CPP@%$CPP%g
1244
1245CEOF
1246EOF
1247
1248cat >> $CONFIG_STATUS <<\EOF
1249
1250# Split the substitutions into bite-sized pieces for seds with
1251# small command number limits, like on Digital OSF/1 and HP-UX.
1252ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
1253ac_file=1 # Number of current file.
1254ac_beg=1 # First line for current file.
1255ac_end=$ac_max_sed_cmds # Line after last line for current file.
1256ac_more_lines=:
1257ac_sed_cmds=""
1258while $ac_more_lines; do
1259  if test $ac_beg -gt 1; then
1260    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
1261  else
1262    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
1263  fi
1264  if test ! -s conftest.s$ac_file; then
1265    ac_more_lines=false
1266    rm -f conftest.s$ac_file
1267  else
1268    if test -z "$ac_sed_cmds"; then
1269      ac_sed_cmds="sed -f conftest.s$ac_file"
1270    else
1271      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
1272    fi
1273    ac_file=`expr $ac_file + 1`
1274    ac_beg=$ac_end
1275    ac_end=`expr $ac_end + $ac_max_sed_cmds`
1276  fi
1277done
1278if test -z "$ac_sed_cmds"; then
1279  ac_sed_cmds=cat
1280fi
1281EOF
1282
1283cat >> $CONFIG_STATUS <<EOF
1284
1285CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
1286EOF
1287cat >> $CONFIG_STATUS <<\EOF
1288for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
1289  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
1290  case "$ac_file" in
1291  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
1292       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
1293  *) ac_file_in="${ac_file}.in" ;;
1294  esac
1295
1296  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.
1297
1298  # Remove last slash and all that follows it.  Not all systems have dirname.
1299  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
1300  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
1301    # The file is in a subdirectory.
1302    test ! -d "$ac_dir" && mkdir "$ac_dir"
1303    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
1304    # A "../" for each directory in $ac_dir_suffix.
1305    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
1306  else
1307    ac_dir_suffix= ac_dots=
1308  fi
1309
1310  case "$ac_given_srcdir" in
1311  .)  srcdir=.
1312      if test -z "$ac_dots"; then top_srcdir=.
1313      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
1314  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
1315  *) # Relative path.
1316    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
1317    top_srcdir="$ac_dots$ac_given_srcdir" ;;
1318  esac
1319
1320
1321  echo creating "$ac_file"
1322  rm -f "$ac_file"
1323  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
1324  case "$ac_file" in
1325  *Makefile*) ac_comsub="1i\\
1326# $configure_input" ;;
1327  *) ac_comsub= ;;
1328  esac
1329
1330  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
1331  sed -e "$ac_comsub
1332s%@configure_input@%$configure_input%g
1333s%@srcdir@%$srcdir%g
1334s%@top_srcdir@%$top_srcdir%g
1335" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
1336fi; done
1337rm -f conftest.s*
1338
1339EOF
1340cat >> $CONFIG_STATUS <<EOF
1341
1342EOF
1343cat >> $CONFIG_STATUS <<\EOF
1344
1345exit 0
1346EOF
1347chmod +x $CONFIG_STATUS
1348rm -fr confdefs* $ac_clean_files
1349test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
1350
1351